# - Define macros for setting platform specific build options
# Defines:
#  

# figure out Python flags
FIND_PACKAGE(PythonInterp)
IF(PYTHONINTERP_FOUND)
  EXEC_PROGRAM(${PYTHON_EXECUTABLE}
               ARGS ${CMAKE_SOURCE_DIR}/makelib/python_config_var.py LIBS
               OUTPUT_VARIABLE PYTHON_LINK_LIBRARIES )
  EXEC_PROGRAM(${PYTHON_EXECUTABLE}
               ARGS ${CMAKE_SOURCE_DIR}/makelib/python_config_var.py LINKFORSTATIC
               OUTPUT_VARIABLE PYTHON_LINKFORSTATIC )
ELSE(PYTHONINTERP_FOUND)
  SET(PYTHON_LINK_LIBRARIES "")
  SET(PYTHON_LINKFORSTATIC "")               
ENDIF(PYTHONINTERP_FOUND)

MACRO(GET_MUSSA_COMPILE_FLAGS)
  SET(${return} "")
  # this define is needed for linking against the shared
  # library version of the boost unit test framework version 1.34.1
  ADD_DEFINITIONS("-DBOOST_TEST_DYN_LINK") 
  IF(APPLE)
    ADD_DEFINITIONS("-isysroot /Developer/SDKS/MacOSX10.4u.sdk -arch ppc -arch i386 -I/usr/local/include")
  ENDIF(APPLE)
  IF (UNIX AND NOT WIN32)
    IF (CMAKE_SIZEOF_VOID_P MATCHES "8")
      ADD_DEFINITIONS("-fPIC")
    ENDIF (CMAKE_SIZEOF_VOID_P MATCHES "8")
  ENDIF(UNIX AND NOT WIN32)
ENDMACRO(GET_MUSSA_COMPILE_FLAGS)

MACRO(GET_MUSSA_LINK_FLAGS return)
 SET(${return} "")
 IF(APPLE)
   SET(${return}
         ${${return}}
         "-Wl,-syslibroot,/Developer/SDKs/MacOSX10.4u.sdk -arch ppc -arch i386"
      )
 ENDIF(APPLE)
ENDMACRO(GET_MUSSA_LINK_FLAGS)

