#ifndef _ZOOMWIDGET_H_ 
#define _ZOOMWIDGET_H_

#include <QDoubleSpinBox>
#include <QWidget>

class ZoomWidget : public QWidget
{
  Q_OBJECT 

public: 
  ZoomWidget(QWidget *parent = 0);
  //! set the range
  void setRange(double min, double max);
  double minimum() const;
  double maximum() const;
  //! set value used when incrementing the spinner
  void setSingleStep(double val);
  //! get the value used to incrementing the spinner
  double singleStep() const;

public slots:
  void setValue(double);

signals:
  //! the current number of base pairs needed for a window of conservation
  void valueChanged(double);

protected:
  QDoubleSpinBox *zoom;

  double cur_value;
  const double max_zoom_size;
 };
#endif
